2021年11月3日 -
タグ: , , ,    No Comments

HSTSのエラーの意外な原因

HSTSが使用されているため、現在アクセスできません。」とブラウザで表示される事が増えてきた。
見られるサイトもあるため、ブラウザ(Vivaldi)が原因かと思っていたら全く異なった所に理由があってびっくりです。
結果的には2021年にもなってEl Capitanを使っている自分の環境から発生したトラブルでした。

https://softantenna.com/wp/software/mac-and-android-lets-encrypt-certificates/
#Let's Encryptの証明書の期限切れにより一部のMacやAndroidがWebサイトに接続できない問題が発生中 – ソフトアンテナブログさん
#こちらのブログに掲載されている↓こんな画面が頻出していたのです。

hsts error

Vivaldiはchromeから派生したブラウザなので、解決の糸口はMac版chromeで発生した問題を解決された前例を見れば済む事が多いのですが、このhstsエラー解決は1ヶ月以上長引きました。
私が忙しく、検索に時間が掛けられなかった事も敗因の1つです。

最初はMacのタイムゾーンを日本時間にしていなかったかと思い、修正。
最新版のVivaldiを使用中なので、多分こちらは問題ないかと思います。
最新版のosを使う… ここが最大のネックでした。
以前、仕事でAdobe cs6を使っていましたが、現在はサブスク形式になっていて月々の使用料を払う形式になっています。
自宅での仕事を辞めた現在、毎月課金は払いたくないのですが、時々イラレやフォトショを使いたい時があり。
Macosのアップデートを中断する事で使い続けてきました。
ここに原因があるとは……orz

解決策は下記のサイトさんに掲載されていました。
本当にありがとうございます。
https://marycore.jp/mac/mac-install-root-certificate/
#Macで最新のLet’s Encryptルート証明書に更新する|ISRG Root X1のインストール方法 | MaryCoreさん

自らのosが旧式過ぎる事に気がつかせてくださった質問はこちらです。
合わせまして大感謝を🙇🏻

https://bit.ly/3kba7Sm
#www.inoreader.comにアクセスできない。 – Google Chrome コミュニティさん

最後になりますが、Sierra・high Sierraでもcs6を使ってらっしゃる方がおられますので。
時間を作って、私も試してみます。
https://doratex.hatenablog.jp/entry/20160921/1474401468
#macOS Sierra (10.12) で Photoshop CS6 / Illustrator CS6 を使う – TeX Alchemist Onlineさん

Adobeは買切りのCCも発売してくれ(ください
買います。

Got anything to say? Go ahead and leave a comment!